<template>
    <v-dialog ref="dialog" v-model="modal" :return-value.sync="date" persistent width="290px">
        <template v-slot:activator="{ on, attrs }">
            <v-text-field v-model="date" :label="label" prepend-inner-icon="mdi-calendar" readonly
                          v-bind="{ ...attrs, ...options }" v-on="{ ...on }"></v-text-field>
        </template>
        <v-date-picker v-model="date" scrollable @input="updated">
            <v-spacer></v-spacer>
            <v-btn text color="primary" @click="modal = false">
                {{ cancelBtnText }}
            </v-btn>
            <v-btn text color="primary" @click="$refs.dialog.save(date)">
                {{ confirmBtnText }}
            </v-btn>
        </v-date-picker>
    </v-dialog>
</template>

<script>
export default {
    name: "Datepicker",
    props: {
        label: {
            type: String,
            default: ''
        },
        cancelBtnText: {
            type: String,
            default: 'Cancel'
        },
        confirmBtnText: {
            type: String,
            default: 'OK'
        },
        options: {
            type: Object,
            default: () => ({})
        },
        ons: {
            type: Object,
            default: () => ({})
        }
    },
    data () {
        return {
            date: null,
            modal: false
        }
    },
    methods: {
        updated (value) {
            this.$emit('date', this.date)
        }
    }
}
</script>

<style scoped>

</style>
